QCRNG(4)

NAME
qcrng - Qualcomm Snapdragon random number generator

SYNOPSIS
qcrng* at fdt?

DESCRIPTION
The qcrng driver provides support for the random number generator found on the Qualcomm Snapdragon SoCs.

It feeds the random subsystem's entropy pool with 32 bits of random data every second.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The qcrng driver first appeared in OpenBSD 7.4.

AUTHORS
-nosplit The qcrng driver was written by Peter Hessler <phessler@openbsd.org> based on the amlrng(4) driver by -nosplit Mark Kettenis <kettenis@openbsd.org>,